import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        main()
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, '[2989.6  800.6  -44.8 3890.8   99.8]\n[198102.4 289108.3]')

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
